# PairedFolder

The **PairedFolder** object is returned by the [**FSUtil**](https://chaoses-ib.gitbook.io/directory-opus/manual/reference/scripting_reference/scripting_objects/fsutil)**.GetFolderPair** method when you query for a folder's [pair](https://chaoses-ib.gitbook.io/directory-opus/manual/preferences/preferences_categories/frequently_used_paths/paired_folders).

Make sure you check the **valid** property before querying any others - if **valid** is **False** it means the folder had no pair, so none of the other properties will exist.

| Property Name | Return Type                                                                                                                   | Description                                                                                                                                                             |
| ------------- | ----------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| dual          | *bool*                                                                                                                        | Returns **True** if the *Default dual display folder* option is on for the pair.                                                                                        |
| dualnavlock   | *bool*                                                                                                                        | Returns **True** if the *Default Navigation Lock target* option is on for the pair.                                                                                     |
| ifnonexistent | *string*                                                                                                                      | Returns a string indicating the setting of the *If non-existent* option. Valid values are **gotoparent**, **ignorepair** and **useanyway**.                             |
| navlock       | *bool*                                                                                                                        | Returns **True** if the *Turn on Navigation Lock automatically* option is on for the pair.                                                                              |
| path          | *object:*[**Path**](https://chaoses-ib.gitbook.io/directory-opus/manual/reference/scripting_reference/scripting_objects/path) | Returns a [**path**](https://chaoses-ib.gitbook.io/directory-opus/manual/reference/scripting_reference/scripting_objects/path) object which provides the paired folder. |
| primaryonleft | *bool*                                                                                                                        | Returns **True** if the *Always display primary folder at the left/top* option is turned on.                                                                            |
| sync          | *bool*                                                                                                                        | Returns **True** if *Default Synchronize target* is turned on for the pair.                                                                                             |
| subfolders    | *bool*                                                                                                                        | Returns **True** if the *Apply Settings to all sub-folders* option is on.                                                                                               |
| valid         | *bool*                                                                                                                        | Returns **True** if the paired folder is valid.                                                                                                                         |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://chaoses-ib.gitbook.io/directory-opus/manual/reference/scripting_reference/scripting_objects/pairedfolder.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
